<h4>OVERVIEW</h4>
<p>This tool is used for several ATNA-profile-related functions for Connectathons:</p>
<ul>
    <li>Generate digital certificates for pre-Connectathon &amp; Connectathon testing</li>
    <li>Complete your ATNA Questionnaire, including audit message validation</li>
    <li>Test your TLS implementation</li>
</ul>
<h4>DIGITAL CERTIFICATES</h4>
<p>In order to perform TLS testing with peer or simulators, the following points are mandatory:</p>
<ul>
    <li>Your
        system must have a certificate delivered by the common trusted
        certificate authority to authenticates itself with other testing
        applications.</li>
    <li>The certificate of the common trusted certificate authority must be added into the truststore of your system.</li>
</ul>
<p>You can request a certificate for your system <a href="/gss/request/withoutcsr.seam">here</a>. The certificate of the common trusted certificate authority can be downloaded <a href="/gss/certificate/view.seam?id=1">here</a>.</p>
<h4>TLS IMPLEMENTATION TESTING</h4>
<h5><span style="text-decoration: underline;">SERVER SIMULATORS</span></h5>
<p>To check your SUT as a consumer/client, the tool will act as a server.&nbsp; You may connect to those TLS simulators :</p>
<ul>
    <li><a href="gss/server/test.seam?simulator=2">DICOM server</a> (127.0.0.1:10001)</li>
    <li><a href="/gss/server/test.seam?simulator=3">HL7 V2 server</a> (127.0.0.1:10002)</li>
    <li><a href="/gss/server/test.seam?simulator=4">HTTPS server</a> (127.0.0.1:10005)</li>
    <li><a href="/gss/server/test.seam?simulator=5">Syslog server</a> (127.0.0.1:10004)</li>
    <li><a href="/gss/server/test.seam?simulator=6">"Any" server</a> (127.0.0.1:10003)</li>
</ul>
<h5><span style="text-decoration: underline;">CLIENT SIMULATORS</span></h5>
<p>To check your SUT as a provider/server, the simulator will act as a client.&nbsp; You can start a connection from <a href="/gss/client/test.seam?simulator=1">this TLS client simulator</a>. <span style="font-style: italic;">You must be logged to start a connection.</span></p>